Package org.pgpainless.key.modification.secretkeyring

# Interface SecretKeyRingEditorInterface.WithPassphrase

Enclosing interface:
  `SecretKeyRingEditorInterface`

public static interface SecretKeyRingEditorInterface.WithPassphrase

## Method Summary

Modifier and Type
Method
Description
`SecretKeyRingEditorInterface`
`toNewPassphrase(Passphrase passphrase)`
Set the passphrase.
`SecretKeyRingEditorInterface`
`toNoPassphrase()`
Leave the key unprotected.

## Method Details

### toNewPassphrase

SecretKeyRingEditorInterface toNewPassphrase(Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException
Set the passphrase.

Parameters:
  `passphrase` - passphrase
Returns:
  editor builder
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case the passphrase cannot be changed

### toNoPassphrase

SecretKeyRingEditorInterface toNoPassphrase() throws org.bouncycastle.openpgp.PGPException
Leave the key unprotected.

Returns:
  editor builder
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case the passphrase cannot be changed